org.eclipse.cdt.utils.debug

## Class DebugVariableKind

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugVariableKind

    public final class DebugVariableKind
    extends Object

DebugVariableKind

### Field Summary

Fields
`static DebugVariableKind` `GLOBAL`
`static DebugVariableKind` `LOCAL`
`static DebugVariableKind` `LOCAL_STATIC`
`static DebugVariableKind` `REGISTER`
`static DebugVariableKind` `STATIC`
`static DebugVariableKind` `UNKNOWN`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNKNOWN

    public static final DebugVariableKind UNKNOWN

#### GLOBAL

    public static final DebugVariableKind GLOBAL

#### STATIC

    public static final DebugVariableKind STATIC

#### LOCAL_STATIC

    public static final DebugVariableKind LOCAL_STATIC

#### LOCAL

    public static final DebugVariableKind LOCAL

#### REGISTER

    public static final DebugVariableKind REGISTER

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`